package com.vandyo.sentry.core.collectionMachine;

import com.vandyo.sentry.core.dto.ErrStatus;

import java.util.Map;

/**
 * 收集数据处理器
 */
public interface CollectionDealer {

    /**
     * 错误面板处理函数
     * @param data 错误面板
     */
    void deal(Map<String, Map<ErrStatus, Long>> data);

    /**
     * 错误面板格式化
     * @param data
     * @return
     */
    String formatData(Map<String, Map<ErrStatus, Long>> data);
}
